# Uses of Interface
org.eclipse.core.resources.ISaveContext

Packages that use ISaveContext
Package
Description
org.eclipse.core.resources
Provides basic support for managing a workspace and its resources.

## Uses of ISaveContext in org.eclipse.core.resources

Methods in org.eclipse.core.resources with parameters of type ISaveContext
Modifier and Type
Method
Description
`void`
ISaveParticipant.`doneSaving(ISaveContext context)`
Tells this participant that the workspace save operation is now complete and it is free to go about its normal business.
`void`
ISaveParticipant.`prepareToSave(ISaveContext context)`
Tells this participant that the workspace is about to be saved.
`void`
ISaveParticipant.`rollback(ISaveContext context)`
Tells this participant to rollback its important state.
`void`
ISaveParticipant.`saving(ISaveContext context)`
Tells this participant to save its important state because the workspace is being saved, as described in the supplied save context.